Bug 1312407 - Review Request: python-pybtex - BibTeX-compatible bibliography processor written in Python
Review Request: python-pybtex - BibTeX-compatible bibliography processor writ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1312409
  Show dependency treegraph
 
Reported: 2016-02-26 11:05 EST by Jerry James
Modified: 2016-03-05 10:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-05 10:59:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2016-02-26 11:05:11 EST
Spec URL: https://jjames.fedorapeople.org/python-pybtex/python-pybtex.spec
SRPM URL: https://jjames.fedorapeople.org/python-pybtex/python-pybtex-0.19-1.fc24.src.rpm
Fedora Account System Username: jjames
Description: Pybtex is a BibTeX-compatible bibliography processor written in Python. Pybtex aims to be 100% compatible with BibTeX. It accepts the same command line options, fully supports BibTeX’s .bst styles and produces byte-identical output.

Additionally:
- Pybtex is Unicode-aware.
- Pybtex supports bibliography formats other than BibTeX.
- It is possible to write formatting styles in Python.
- As a bonus, Pythonic styles can produce HTML, Markdown and other markup besides the usual LaTeX.
Pybtex also includes a Python API for managing bibliographies from Python.
Comment 1 Zbigniew Jędrzejewski-Szmek 2016-02-27 21:26:05 EST
"Pybtex is Unicode-aware." — thank you. I'd love not to have to fight with bibtex anymore.

The same as with the other package: I don't think you need to preserve timestamps of files that have been modified.

Would it be possible to build both versions from the same build directory?

Would it be possible to replace the bundled jquery with the system one? Same for js-underscore?

You can use the following trick to simplify the %files section:

%files -n python2-{%srcname}
...

%if 0{?with_py3}
...
%endif

%{_bindir}/pybtex*
%{_mandir}/man1/pybtex*

This way the last two lines will fall into python2- subpackage if there's no python3- subpackage.
Comment 2 Zbigniew Jędrzejewski-Szmek 2016-02-27 21:56:49 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> Would it be possible to build both versions from the same build directory?
OK, I see that 2to3 is used, so the answer is most likely no.

> Would it be possible to replace the bundled jquery with the system one? Same
> for js-underscore?
I see that it is used in documentation only. I withdraw this question.
Comment 3 Jerry James 2016-03-02 22:49:26 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> "Pybtex is Unicode-aware." — thank you. I'd love not to have to fight with
> bibtex anymore.

:-)

> The same as with the other package: I don't think you need to preserve
> timestamps of files that have been modified.

Okay, done.

> You can use the following trick to simplify the %files section:

Nice trick, thanks.  I have applied it.  I also fixed the nosetests invocations.  New URLs:

Spec URL: https://jjames.fedorapeople.org/python-pybtex/python-pybtex.spec
SRPM URL: https://jjames.fedorapeople.org/python-pybtex/python-pybtex-0.19-2.fc25.src.rpm
Comment 4 Zbigniew Jędrzejewski-Szmek 2016-03-03 08:38:44 EST
fedora-review says:
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1638400 bytes in 94 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
and I have to agree. No need to have the same stuff twice, so a -doc subpackage shared between both python versions would be nice.

+ license file is present, %license is used
+ license is acceptable (MIT)
+ latest version
+ %check is present, checks pass
+ provides/requires look OK
+ no scriptlets present or necessary
+ rpmlint: only false positive spelling errors
+ executables prefer python3

Package is APPROVED. Please split out -doc.
Comment 5 Jerry James 2016-03-04 16:17:23 EST
Okay, I will split out -doc.  Thank you!  New package requested.
Comment 6 Gwyn Ciesla 2016-03-04 17:25:31 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-pybtex

Note You need to log in before you can comment on or make changes to this bug.